// Oleg Petruny proprietary.

#pragma once

#include "AutohideWidget.h"
#include "ResolutionResponsiveUserWidget.h"

#include "JournalWidget.generated.h"

UCLASS(Blueprintable, Abstract)
class UJournalWidget : public UAutohideWidget
{
    GENERATED_BODY()

public:
    UFUNCTION(BlueprintCallable)
    void Update(TArray<FText> items);

    UPROPERTY(meta = (BindWidget))
    class UVerticalBox* text;

protected:
    UPROPERTY(EditDefaultsOnly)
    TSubclassOf<class UTextBlock> textStyleClass;
};
